- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_PUMProcess;'
    name: PUM Process
    index: 371
    abstract: no
    customTagName: pumProcess
    relationships:
    - instance: '&IDR_PUM_Process__invokes__Execute_Update_Method_Binding;'
      customTagName: invokesExecutesUpdateMethodBindings

  - relationship: '&IDR_PUM_Process__invokes__Execute_Update_Method_Binding;'
    index: 859
    sourceClassId: '&IDC_PUMProcess;'
    type: 'invokes'
    destinationClassId: '&IDC_ExecuteUpdateMethodBinding;'
    siblingRelationshipId: '&IDR_Execute_Update_Method_Binding__invoked_by__PUM_Process;'
    singular: no

  - relationship: '&IDR_Execute_Update_Method_Binding__invoked_by__PUM_Process;'
    index: 860
    sourceClassId: '&IDC_ExecuteUpdateMethodBinding;'
    type: 'invoked by'
    destinationClassId: '&IDC_PUMProcess;'
    siblingRelationshipId: '&IDR_PUM_Process__invokes__Execute_Update_Method_Binding;'
    singular: no

  - relationship: '&IDR_PUM_Process__invokes__Process_Related_Updates_Method;'
    index: 861
    sourceClassId: '&IDC_PUMProcess;'
    type: 'invokes'
    destinationClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    siblingRelationshipId: '&IDR_Process_Related_Updates_Method__invoked_by__PUM_Process;'
    singular: no

  - relationship: '&IDR_Process_Related_Updates_Method__invoked_by__PUM_Process;'
    index: 862
    sourceClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    type: 'invoked by'
    destinationClassId: '&IDC_PUMProcess;'
    siblingRelationshipId: '&IDR_PUM_Process__invokes__Process_Related_Updates_Method;'
    singular: no

  - relationship: '&IDR_Process_Updates_Method__has__PUM_Process;'
    index: 863
    sourceClassId: '&IDC_ProcessUpdatesMethod;'
    type: 'has'
    destinationClassId: '&IDC_PUMProcess;'
    siblingRelationshipId: '&IDR_PUM_Process__for__Process_Updates_Method;'
    singular: yes

  - relationship: '&IDR_PUM_Process__for__Process_Updates_Method;'
    index: 864
    sourceClassId: '&IDC_PUMProcess;'
    type: 'for'
    destinationClassId: '&IDC_ProcessUpdatesMethod;'
    siblingRelationshipId: '&IDR_Process_Updates_Method__has__PUM_Process;'
    singular: no
